<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CategorieProduit extends Model
{
    use HasFactory;
    protected $table = 'categorie_produit';
    protected $guarded = [];

    public function categorie()
    {

        return $this->belongsTo(Categorie::class,'categorie_id','id');
    }

    public function produit()
    {
       

        return $this->belongsTo(Produit::class,'produit_id','id');
    }
}
